# Envelope

All API responses are in JSON format. A `result` field, with a value of `success` or `error` is returned with each request. In the event of an error, a `message` field will provide an error message.

An `access` object is also echoed back. It contains two ranges of timestamps:

* `access_range`: The time range for which the Client has access to the API
* `data_range` : The time range of data the Client is authorized to access

| Key         | Data type  | Description                                       |
| ----------- | ---------- | ------------------------------------------------- |
| `access`    | `{}`       | Time ranges of accesses.                          |
| `data`      | `[] \| {}` | Response result data.                             |
| `message`   | `string`   | Error message, if query was not successful.       |
| `query`     | `{}`       | All handled query parameters echoed back.         |
| `result`    | `string`   | `success` if query successful, `error` otherwise. |
| `time`      | `string`   | The current time at our endpoint.                 |
| `timestamp` | `long`     | The current time at our endpoint.                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/general/getting-started/envelope.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
